/**********************************************************************\
*                                                                      *
* declare.h: function declerations for fgdemo functions                *
*                                                                      *
\**********************************************************************/

/* functions in char.c */

void  center_pstring(char *,int,int,int);
char  first_nonblank(char *);
int   get_center(char *,int,int);
void  get_font(void);
int   length_pstring(char *);
void  put_pstring(char *,int,int);
int   row_offset(int);

/* functions in common.c */

void  abort_program(char *);
int   exists(char *);
void  flushkey(void);
void  initialize(void);
void  init_mouse(void);
int   printer_ready(void);
void  terminate(void);
void  wait_for_keystroke(void);
void  wait_for_mouse_buttons(void);

/* functions in display.c */

int   do_bitmaps(void);
int   do_scaling(void);
int   do_scroll(void);
int   do_split(void);
int   do_transfer(void);

/* functions in fgdemo.c */

void  main(void);
void  draw_screen(int);
void  draw_window(int,int,int,int,char *);
void  erase_window(int,int,int,int);
int   get_answer(int,int,int);
void  info_window(int,int,int,char *[],int);
void  outward_tunnel_effect(int);

/* files in file.c */

int   about_demo(void);
int   about_docs(void);
int   about_fgl(void);
int   about_fg(void);
int   about_order(void);
int   about_site(void);
int   about_source(void);
int   about_tech(void);
int   exit_program(void);
int   print_form(void);
int   shell(void);

/* files in fundmtls.c */

int   do_boxes(void);
int   do_circles(void);
int   do_clip(void);
int   do_ellipses(void);
int   do_lines(void);
int   do_paint(void);
int   do_points(void);
int   do_polygons(void);
int   do_rects(void);
int   do_text(void);
     
/* files in menu.c */

void  highlight_option(int);
int   horizontal_menu(struct menu *,int,int);
int   submenu1(void);
int   submenu2(void);
int   submenu3(void);
int   submenu4(void);
int   submenu5(void);
int   vertical_menu(struct menu *,int,int);

/* files in misc.c */

int   do_bird(void);
int   do_borland(void);
int   do_dub(void);
int   do_histogram(void);
int   do_joystick(void);
int   do_mouse(void);
int   mouserun(int i);
int   do_keyboard(void);
   
/* files in video.c */
   
int   about_modes(void);
int   auto_detect(void);
int   coordinates(void);
int   logical_pages(void);
int   physical_pages(void);
int   virtual_buffers(void);
int   virtual_pages(void);
